Gesture
Date: 2019-10-22

org.jmol.viewer

## Class Gesture

- java.lang.Object
- - org.jmol.viewer.Gesture

-     class Gesture
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `action`
    `(package private) MotionPoint[]` | `nodes`
    `private int` | `ptNext`
    `private long` | `time0`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Gesture(int nPoints, Viewer vwr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `add(int action, int x, int y, long time)`
    `(package private) int` | `getDX(int nPoints, int nPointsPrevious)`
    `(package private) int` | `getDY(int nPoints, int nPointsPrevious)`
    `(package private) MotionPoint` | `getNode(int i)`
    `(package private) int` | `getPointCount()`
    `private int` | `getPointCount2(int nPoints, int nPointsPrevious)`
    `float` | `getSpeedPixelsPerMillisecond(int nPoints, int nPointsPrevious)`
    `long` | `getTimeDifference(int nPoints)`
    `(package private) void` | `setAction(int action, long time)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### action

          private int action

    - #### nodes

          MotionPoint[] nodes

    - #### ptNext

          private int ptNext

    - #### time0

          private long time0

    - #### vwr

          private Viewer vwr

  - ### Constructor Detail

    - #### Gesture

          public Gesture(int nPoints,
                         Viewer vwr)

  - ### Method Detail

    - #### setAction

          void setAction(int action,
                         long time)

    - #### add

          int add(int action,
                  int x,
                  int y,
                  long time)

    - #### getTimeDifference

          public long getTimeDifference(int nPoints)

    - #### getSpeedPixelsPerMillisecond

          public float getSpeedPixelsPerMillisecond(int nPoints,
                                                    int nPointsPrevious)

    - #### getDX

          int getDX(int nPoints,
                    int nPointsPrevious)

    - #### getDY

          int getDY(int nPoints,
                    int nPointsPrevious)

    - #### getPointCount

          int getPointCount()

    - #### getPointCount2

          private int getPointCount2(int nPoints,
                                     int nPointsPrevious)

    - #### getNode

          MotionPoint getNode(int i)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`